Bug 982299 - USR2 signal doesn't create /tmp/anaconda-tb-* file
USR2 signal doesn't create /tmp/anaconda-tb-* file
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
All Linux
medium Severity high
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
: 982347 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 11:38 EDT by Masahiro Matsuya
Modified: 2015-02-18 06:13 EST (History)
8 users (show)

See Also:
Fixed In Version: anaconda-20.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 983787 (view as bug list)
Environment:
Last Closed: 2015-02-18 06:13:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Steve Tyler 2013-07-08 14:50:29 EDT
I cannot reproduce this in a VM. Did you kill the oldest anaconda process?

Procedure:

$ qemu-img create f19-test-1.img 16G
$ qemu-kvm -m 4096 -hda f19-test-1.img -cdrom ~/xfr/fedora/F19/Fedora-19-x86_64-DVD.iso -vga std -boot menu=on

Proceed to the Date & Time spoke (for example).
Switch to the installer console (ctrl-alt-f2).
# pkill -USR2 -o anaconda

/tmp/anaconda-tb-* is created.

I do, however, get an unexpected exception after switching back to the installer GUI (ctrl-alt-f7):
Bug 982347 - AttributeError: 'tuple' object has no attribute 'stack'
Comment 2 Masahiro Matsuya 2013-07-08 20:42:15 EDT
> Did you kill the oldest anaconda process?

Yes, I killed the oldest.

> Proceed to the Date & Time spoke (for example).

I did it in the language selection screen.

When I did it in the next screen of the language selection, 
/tmp/anaconda-tb-* was created. But, I got the same exception as what you got.
The exception is same even as what I got in language selection screen.

So, /tmp/anaconda-tb-* is not created in the language selection screen only.
The exception of BZ982347 always occurs.
Comment 3 Steve Tyler 2013-07-08 22:16:09 EDT
Thanks. I can confirm your report:

1. At the language selection dialog ("Welcome to Fedora 19."), switch to the installer console (ctrl-alt-f2).

2. # pkill -USR2 -o anaconda

   /tmp/anaconda-tb-* is not created.

3. Switch to the installer GUI (ctrl-alt-f7).

   An exception dialog is displayed ("An unknown error has occurred").

4. Switch to the installer console.

   /tmp/anaconda-tb-* exists, and the exception is:
   AttributeError: 'tuple' object has no attribute 'stack'

Tested with:
$ qemu-img create f19-test-1.img 16G
$ qemu-kvm -m 4096 -hda f19-test-1.img -cdrom ~/xfr/fedora/F19/Fedora-19-x86_64-DVD.iso -vga std -boot menu=on
Comment 4 Vratislav Podzimek 2013-07-16 04:13:00 EDT
I'd swear I've already seen and resolved this issue.
Comment 5 Vratislav Podzimek 2013-08-15 17:04:47 EDT
*** Bug 982347 has been marked as a duplicate of this bug. ***
Comment 6 Steve Tyler 2013-08-15 17:30:22 EDT
(In reply to Vratislav Podzimek from comment #4)
> I'd swear I've already seen and resolved this issue.

Comment 5:
Status: POST → MODIFIED
Fixed In Version: anaconda-20.3-1

The reports against F19 ...
Comment 7 Steve Tyler 2013-08-15 17:47:52 EDT
OK, we need to retest with anaconda-20.3-1 or later:

https://git.fedorahosted.org/cgit/anaconda.git/log/pyanaconda/__init__.py?id=anaconda-20.3-1
http://koji.fedoraproject.org/koji/packageinfo?packageID=2

Use ExceptionInfo namedtuple when dumping anaconda (#982299)
Otherwise a traceback appears when anaconda recieves SIGUSR2.
author	Vratislav Podzimek <vpodzime@redhat.com>	2013-04-23 08:25:26 (GMT)
https://git.fedorahosted.org/cgit/anaconda.git/commit/?id=54b82dbc3f2b88c04dac29a2f9a5fbf16cd37bc3
Comment 8 Fedora End Of Life 2015-01-09 17:35:00 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-18 06:13:02 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.